#include "BasicStepperDriver.h"

// Motor steps per revolution. Most steppers are 200 steps or 1.8 degrees/step
#define MOTOR_STEPS 200
#define RPM 120

// Since microstepping is set externally, make sure this matches the selected mode
// If it doesn't, the motor will move at a different RPM than chosen
// 1=full step, 2=half step etc.
#define MICROSTEPS 8

// All the wires needed for full functionality

#define MOTORDIR 10        // = PB2_PWM
#define MOTORDIRSTEP 9       // = PB1_PWM
#define MOTORDIRSLEEP 8       // = PB0

BasicStepperDriver stepperMotor(MOTOR_STEPS, MOTORDIRDIR, MOTORDIRSTEP, MOTORDIRSLEEP);

void setup() {
    stepperMotor.begin(RPM, MICROSTEPS);
    stepperMotor.setEnableActiveState(LOW);
}

void loop() {
  
    // energize coils - the motor will hold position  ( et il va donc consommer plus)
    stepperMotor.enable();

    stepperMotor.move(100*MOTOR_STEPS*MICROSTEPS);

    stepperMotor.disable();

    delay(5000);
}
